{% extends "base.html" %}
{% load static %}
{% load i18n %}

{% block title %} {{ group.name }} {% endblock %}

{% block banner %}
    <div class="is-size-1 group-underline">
        <div class="box mb-1 mt-0 birthdays-buttons has-background-primary has-text-white">
            {{ group.name }}
        </div>
    </div>
    <div class="tabs is-toggle is-centered is-medium mt-4">
        <ul>
            <li class="js-tab is-active"><a class="box mx-4 is-capitalized">{{ group.kind|enum_name:group.KIND_NL }}-{% trans "informatie" %}</a></li>
            <li class="js-tab"><a class="box mx-4">Leden</a></li>
            {% if group.activity_set.exists %}
            <li class="js-tab"><a class="box mx-4">Activiteiten</a></li>
            {% endif %}
            {% if related %}
            <li class="js-tab"><a class="box mx-4">Verwante Commissies</a></li>
            {% endif %}
        </ul>
    </div>
{% endblock %}

{% block body %}
    <!-- Tab 1 -->
    <div class="js-tab-content" style="display: block;">
        <div class="columns">
            <div class="column">
                {% if group.description%}
                    <p class="mb-3 has-text-centered">{{group.description}}</p>
                {% endif %}
                <div class="box">
                    <table class="table is-fullwidth is-striped" >
                        <tbody>
                            <tr>
                                <th class="is-capitalized">{{ group.kind|enum_name:group.KIND_NL }}{% trans "-informatie" %}</th>
                            </tr>
                            <tr>
                                {% if group.email %}
                                    <td>{% trans "Email: " %}{{ group.email }}</td>
                                {% endif %}
                            </tr>
                            <tr>
                                {% if group.website %}
                                    <td>{% trans "Website: " %}<a href={{ group.website }}> {{ group.website }} </a></td>
                                {% endif %}
                            </tr>
                            <tr>
                                <td>{% trans "Opgericht: " %}{{ group.since }}</td>
                            </tr>
                            <tr>
                                {% if group.until %}
                                    <td>{% trans "Opgeheven: " %}{{ group.until }}</td>
                                {% endif %}
                            </tr>
                            <tr>
                                {% if group.categories %}
                                <td>{% trans "Categorie: " %}{% group_category_link group.categories %}</td>
                                {% endif %}
                            </tr>
                        </tbody>
                    </table>
                </div>
                {% if events_upcoming %}    
                    <table class="table">
                        <thead>
                            <tr>
                                <th>
                                    Toekomstige activiteiten
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for event in events_upcoming %}
                                <tr>
                                    <td>
                                        <a href="{% url 'activities:detail' event.activity.id %}#event-{{ event.pk }}">
                                            {{ event }}
                                        </a>
                                        <span>
                                            ({{ event.time_start }} - {{ event.time_end }})
                                        </span>
                                    </td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                {% endif %}
            </div>
            <div class="column is-two-fifths">
                <img class="group-poster" src="{{ group.get_poster_url }}">
            </div>
        </div>
    </div>

    <!-- Tab 2 -->
    <div class="js-tab-content" style="display: none;">
        {% if group.groupmembership_set.all %}
        <div class="title">{% trans "Huidige leden" %}</div>
            <table class="table is-fullwidth">
                <thead>
                    <tr>
                        <th>{% trans "Commissielid:" %}</th>
                        <th>{% trans "Begindatum:" %} </th>
                        <th>{% trans "Functie:" %}</th>
                        <th>{% trans "Spreuk:" %} </th>
                    </tr>
                </thead>
                <tbody>
                    {% if members_current %}
                        {% for member in members_current %}
                            <tr>
                                <td>{% group_member_link member %}</td>
                                <td>{{ member.since }}</td>
                                <td> </td>
                                <td> </td>
                            </tr>
                        {% endfor %}
                    {% endif %}
                </tbody>
            </table>
        {% endif %}

        <div class="title">{% trans "Oud-leden" %}</div>
        <table class="table is-fullwidth">
            <thead>
                <tr>
                    <th>{% trans "Commissielid:" %}</th>
                    <th>{% trans "Begindatum:" %}</th>
                    <th>{% trans "Einddatum:" %}</th>
                    <th>{% trans "Functie:" %}</th>
                    <th>{% trans "Spreuk:" %} </th>
                </tr>
            </thead>
            <tbody>
                {% if members_past %}
                    {% for member in members_past %}   
                        <tr>
                            <td>{% group_member_link member %}</td>
                            <td>{{ member.since }}</td>
                            <td>{{ member.until }}</td>
                            <td> </td>
                            <td> </td>
                        </tr> 
                    {% endfor %}
                {% endif %}
            </tbody>
        </table>
    </div>

    <!-- Tab 3 -->
    {% if events_upcoming or events_past %}
        <div class="js-tab-content" style="display: none;">
            <div class="columns">
                <table class="column table">
                    <thead>
                        <tr>
                            <th class="title">
                                Activiteiten
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for event in events_upcoming %}
                            <tr>
                                <td>
                                    <span>
                                        {{ event.time_start|date:"d M 'y" }}
                                    </span>
                                    <a href="{% url 'activities:detail' event.activity.id %}#event-{{ event.pk }}">
                                        {{ event }}
                                    </a>
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>

                <table class="column table">
                    <thead>
                        <tr>
                            <th class="title">
                                Oude activiteiten
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for event in events_past %}
                            <tr>
                                <td>
                                    <span>
                                        {{ event.time_start|date:"d M 'y" }}
                                    </span>
                                    <a href="{% url 'activities:detail' event.activity.id %}#event-{{ event.pk }}">
                                        {{ event }}
                                    </a>
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table> 
            </div>       
        </div>
    {% endif %}

    <!-- Tab 4 -->
    {% if related %}
        <div class="js-tab-content" style="display: none;">
            <table class="table">
                <thead>
                    <tr>
                        <th class="title">
                            Verwante Commissies
                        </th>
                    </tr>
                </thead>
                <tbody>
                    {% for group in related %}
                        <tr>
                            <td>  
                                {% group_link group %}
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    {% endif %}

{% endblock %}

{% block scripts_postload %}

<script>
    addTabEventListeners();
</script>

{{ block.super }}

{% endblock %}